%define GCC_PREFIX		/usr
%define CPP_PREFIX		/lib
%define VERSION			2.95.2
%define GCC_VERSION		2.95.3
%define STDC_VERSION	2.10.0
%define LIBGCJ_VERSION	2.95

Prefix:		%{GCC_PREFIX}
Prefix:		%{CPP_PREFIX}
Summary:	Various compilers (C, C++, Objective-C, Chill, ...)
Name:		gcc
Version:	%{VERSION}
Release:	12mdk
Copyright:	GPL
Group:		Development/C

Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{VERSION}.tar.bz2
Source1:	libstdc++-compat.tar.bz2
Source2:	ftp://sourceware.cygnus.com/pub/java/libgcj-%{LIBGCJ_VERSION}.tar.bz2
Source4:	http://home.i1.net/~jamoyers/software/colorgcc/colorgcc-1.3.2.tar.bz2

Patch101:	colorgcc.patch.bz2
Patch11:	egcs_fr.diff.bz2
Patch1:		gcc-2.95.2-libgcj-config.patch.bz2
Patch2:		gcc-2.95.2-bootstrap.patch.bz2
Patch3:		gcc-2.95.2-cpp-macro-doc.patch.bz2
Patch4:		gcc-2.95.2-default-arch.patch.bz2
Patch5:		gcc-2.95.2-cvs-updates-20000220.patch.bz2
Patch6:		gcc-2.95.2-libstdc++-out-of-mem.patch.bz2
Patch7:		gcc-2.95.2-libstdc++-wstring.patch.bz2
Patch8:		gcc-2.95.2-libstdc++-wall3.patch.bz2
Patch9:		gcc-2.95.2-libstdc++-bastring.patch.bz2
Patch10:	gcc-2.95.2-cpp-dos-newlines.patch.bz2
Patch11:	gcc-2.95.2-pointer-arith.patch.bz2
Patch12:	gcc-2.95.2-gcj-vs-iconv.patch.bz2
Patch13:	gcc-2.95.2-empty-struct.patch.bz2

#Alpha
Patch20:	gcc-2.95.2-emit-rtl.patch.bz2
Patch21:	gcc-2.95.2-alpha-complex-float.patch.bz2

#Sparc
Patch25:	gcc-2.95.2-builtin-apply.patch.bz2
Patch26:	gcc-2.95.2-gcj-backport.patch.bz2
Patch27:	gcc-2.95.2-sparc32-rfi.patch.bz2

#PPC
Patch30:	gcc-2.95.2-ppc-ice.patch.bz2
Patch31:	gcc-2.95.2-ppc-descriptions.patch.bz2
Patch32:	gcc-2.95.2-ppc-andrew-dwarf-eh.patch.bz2
Patch33:	gcc-2.95.2-rs6000-codegen.patch.bz2
Patch34:	gcc-2.95.2-libgcj-ppc.patch.bz2

URL:		http://gcc.gnu.org/
BuildRoot:	%{_tmppath}/gcc-%{VERSION}-root
Requires:	binutils >= 2.9.1.0.25
Requires:	gcc-cpp = %{VERSION}, glibc-devel, make
Prereq:		/sbin/install-info
PreReq:		/usr/sbin/update-alternatives


%description
A Pentium compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment. As this
version is based on the gcc-2.95 , it also includes lots of Pentium,
PentiumPro, PentiumII/III, AMD K5, AMD K6 ... specific optimizations that brings
performance increase .
 
%package c++
Summary:	C++ support for gcc
Group:		Development/C++
Requires:	gcc = %{VERSION}
Requires:	gcc-cpp = %{VERSION}, glibc-devel, make
Obsoletes:	gcc-c++
PreReq:		/usr/sbin/update-alternatives

%description c++
This package adds C++ support to the GNU C compiler. It includes support
for most of the current C++ specification, including templates and
exception handling. It does not include the standard C++ library.

%package -n libstdc++
Summary:	GNU C++ library
Group:		System/Libraries
Obsoletes:	System/Libraries
Provides:	libstdc++-libc6.1-1.so.2 libstdc++-libc6.1-2.so.3 libstdc++.so.2.9

%description -n libstdc++
This is the GNU implementation of the standard C++ libraries This package
includes the shared libraries necessary to run C++ applications.

%ifarch %{ix86} sparc alpha ppc

%package -n libstdc++-compat
Summary:	GNU old c++ library
Group:		System/Libraries

%description -n libstdc++-compat
This is the GNU implementation of the standard C++ libraries This package
includes the old shared libraries necessary to run C++ applications.

%endif

%package -n libstdc++-devel
Summary:	Header files and libraries for C++ development
Group:		Development/C++
Obsoletes:	gcc-libstdc++-devel

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes SGI's implementation of the STL.

%package objc
Summary:	Objective C support for gcc
Group:		Development/Other
Requires: 	gcc = %{version}, glibc-devel, make
Obsoletes:	gcc-objc

%description objc
This package adds Objective C support to the GNU C compiler. Objective
C is a object oriented derivative of the C language, mainly used on
systems running NeXTSTEP. This package does not include the standard
objective C object library.

%package g77
Summary:	Fortran 77 support for gcc
Group:		Development/Other
Requires:	gcc = %{version}, glibc-devel, make
Obsoletes:	gcc-g77

%description g77
This package adds support for compiling Fortran 77 programs with the GNU
compiler.

%package chill
Summary:	CHILL support for gcc
Group:		Development/Other
Requires:	gcc = %{version}, glibc-devel, make
Obsoletes:	gcc-CHILL

%description chill
This package adds support for compiling CHILL programs with the GNU
compiler.

Chill is the "CCITT High-Level Language", where CCITT is the old
name for what is now ITU, the International Telecommunications Union.
It is is language in the Modula2 family, and targets many of the
same applications as Ada (especially large embedded systems).
Chill was never used much in the United States, but is still
being used in Europe, Brazil, Korea, and other places.

%package java
Summary:	Java support for gcc
Group:		Development/Java
Requires:	gcc = %{version}
Obsoletes:	gcc-java

%description java
This package adds experimental support for compiling Java(tm) programs and
bytecode into native code. To use this you will also need the gcc-libgcj
package.

%package libgcj
Summary:	Java runtime library for gcc
Group:		System/Libraries
Url:		http://sourceware.cygnus.com/java/
Requires:	zip >= 2.1
Obsoletes:	gcc-libgcj

%description libgcj
The Java runtime library. You will need this package to compile your Java
programs using the gcc Java compiler (gcj).

%package cpp
Summary:	The C Preprocessor
Group: 		Development/C
Prereq:		/sbin/install-info

%description cpp
The C preprocessor is a 'macro processor' which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define 'macros,' which are abbreviations for longer
constructs.

The C preprocessor provides four separate facilities that you can use as
you see fit:

* Inclusion of header files. These are files of declarations that can be
  substituted into your program.
* Macro expansion. You can define 'macros,' which are abbreviations for 
  arbitrary fragments of C code, and then the C preprocessor will replace
  the macros with their definitions throughout the program.
* Conditional compilation. Using special preprocessing directives,
  you can include or exclude parts of the program according to various
  conditions.
* Line control. If you use a program to combine or rearrange source files
  into an intermediate file which is then compiled, you can use line
  control to inform the compiler about where each source line originated.

You should install this package if you are a programmer who is searching for
such a macro processor.

%package colorgcc
Summary:	GCC output colorizer
Group:		Development/Other
Prereq:		gcc gcc-c++
Requires:	perl >= 5.600-10mdk
PreReq:		/usr/sbin/update-alternatives

%description colorgcc
GCC output colorizer

%prep
%setup -q -n gcc-%{VERSION} -a 4
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch101 -p0
%patch11 -p0
%patch13 -p0

%ifnarch ppc
%setup -q -a2 -D -T -n gcc-%{VERSION}
mv libgcj-%{LIBGCJ_VERSION} libgcj
mv libgcj/boehm-gc libgcj/libjava libgcj/zlib libgcj/zip .
cp -f libgcj/ltmain.sh libgcj/ltconfig .
%patch1 -p1
%endif

%ifarch alpha
%patch20 -p0
%patch21 -p1
%endif

%ifarch sparc
%patch25 -p0
%patch26 -p1
%patch27 -p0
%endif

%ifarch ppc
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
#%patch34 -p1
%endif

mkdir compat
bzip2 -cd %{SOURCE1} | tar xv -C compat

%build
rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}

%ifarch sparc
# pthreads are currently not supported on sparc
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	../configure --prefix=%{GCC_PREFIX} --mandir=%{_mandir} --infodir=%{_infodir} \
	--enable-shared --enable-haifa \
	--host=%{_target_platform}
%else
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	../configure --prefix=%{GCC_PREFIX} --mandir=%{_mandir} --infodir=%{_infodir} \
	--enable-shared --enable-threads=posix --enable-haifa \
%ifarch ppc
	--with-cpp-install-dir=../lib \
%endif
	--host=%{_target_platform}
%endif

touch ../gcc/c-gperf.h

make bootstrap-lean

# run the tests.
# rpm seems to terminate when make -k check fails.
# make -k check || true

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/libstdc++ rpm.doc/g77 rpm.doc/chill rpm.doc/objc rpm.doc/libgcj

(cd libio; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libio
done)
(cd libstdc++; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libstdc++
done)
(cd gcc/f; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done)
(cd libf2c; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done)
(cd gcc/ch; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/chill/$i.ch
done)
(cd libchill; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/chill/$i.libchill
done)
(cd gcc/objc; for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done)
(cd libobjc; for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done)
(cp -p libgcj/ChangeLog rpm.doc/libgcj/ChangeLog
for i in boehm-gc/ChangeLog libjava/ChangeLog zlib/ChangeLog; do
	cp -p $i rpm.doc/libgcj/ChangeLog.`echo $i | sed 's|/.*||'`
done)

%install
rm -fr $RPM_BUILD_ROOT

# ColorGCC stuff

(
cd colorgcc-1.3.2
mkdir -p $RPM_BUILD_ROOT/{etc,usr/bin/}
install -m755 colorgcc $RPM_BUILD_ROOT%{_bindir}
install -m644 colorgccrc $RPM_BUILD_ROOT/etc
mv COPYING ../COPYING.colorgcc
mv CREDITS ../CREDITS.colorgcc
mv ChangeLog ../ChangeLog.colorgcc
)


cd obj-%{_target_platform}
make prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
  infodir=$RPM_BUILD_ROOT%{_infodir} install

FULLVER=`$RPM_BUILD_ROOT%{GCC_PREFIX}/bin/%{_target_platform}-gcc --version | \
	cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/$FULLVER/cc1)

# fix some things
ln -sf gcc $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/cc
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

ln -sf g77 $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/f77

mkdir -p $RPM_BUILD_ROOT/lib
%ifnarch ppc
ln -sf ../${FULLPATH##$RPM_BUILD_ROOT/}/cpp $RPM_BUILD_ROOT/lib/cpp
%endif

ln -sf cccp.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1/cpp.1.bz2

pushd $RPM_BUILD_ROOT%{_bindir}
ln -sf colorgcc colorg++
for file in g++ gcc;do
mv $file "$file"-%VERSION
done
popd

#install the compatibility libstdc++ library
[ -d ../compat/$RPM_ARCH ] && install -m 755 ../compat/$RPM_ARCH/* $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/

cd ..
cat >gcc-filelist <<EOF
%defattr(-,root,root)
#%{GCC_PREFIX}/bin/gcc
%{GCC_PREFIX}/bin/gcc-%VERSION
%{GCC_PREFIX}/bin/cc
%{GCC_PREFIX}/bin/protoize
%{GCC_PREFIX}/bin/unprotoize
%{GCC_PREFIX}/bin/gcov
%{GCC_PREFIX}/bin/%{_target_platform}-gcc
%{_mandir}/man1/gcc.1*
%{_infodir}/gcc*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/collect2
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/crt*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libgcc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/SYSCALLS.c.X
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/specs
%doc gcc/README* gcc/*ChangeLog*
EOF

(cd $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include &&
	ls | egrep -v '^((objc)|(exception)|(typeinfo)|(new(\.h)?))$'
) | sed 's|^|%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/|' \
	>>gcc-filelist

# This is required for the old RedHat 6. based programs ...

(
cd $RPM_BUILD_ROOT/usr/lib
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++-libc6.1-1.so.2
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++-libc6.1-1.1.so.2
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++.so.2.9
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info gcc.info
update-alternatives --install %{_bindir}/gcc gcc %{_bindir}/gcc-%VERSION 10

%preun
%_remove_install_info gcc.info
[ $1 = 0 ] || exit 0
update-alternatives --remove gcc %{_bindir}/gcc-%VERSION

%post colorgcc
update-alternatives --install %{_bindir}/gcc gcc %{_bindir}/colorgcc 20
update-alternatives --install %{_bindir}/g++ g++ %{_bindir}/colorg++ 20

%preun colorgcc
[ $1 = 0 ] || exit 0
update-alternatives --remove gcc %{_bindir}/colorgcc
update-alternatives --remove g++ %{_bindir}/colorg++

%post c++
update-alternatives --install %{_bindir}/g++ g++ %{_bindir}/g++-%VERSION 10

%preun c++
[ $1 = 0 ] || exit 0
update-alternatives --remove %{_bindir}/g++-%VERSION

%post -n libstdc++ -p /sbin/ldconfig
%postun -n libstdc++ -p /sbin/ldconfig

%ifarch %{ix86} alpha sparc ppc

%post -n libstdc++-compat -p /sbin/ldconfig
%postun -n libstdc++-compat -p /sbin/ldconfig

%endif

%post g77
%_install_info g77.info

%preun g77
%_remove_install_info g77.info

%post chill
%_install_info chill.info

%preun chill
%_remove_install_info chill.info

%post libgcj -p /sbin/ldconfig

%postun libgcj -p /sbin/ldconfig

%post cpp
/sbin/ldconfig
%_install_info cpp.info

%preun cpp
/sbin/ldconfig
%_remove_install_info cpp.info

%files -f gcc-filelist

%files cpp
%defattr(-,root,root)
%{CPP_PREFIX}/cpp
%{_mandir}/man1/cpp.1*
%{_mandir}/man1/cccp.1*
%{_infodir}/cpp.info*.*
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cpp

%files c++
%defattr(-,root,root)
%{_mandir}/man1/g++.1*
#%{GCC_PREFIX}/bin/g++
%{GCC_PREFIX}/bin/g++-%VERSION
%{GCC_PREFIX}/bin/c++
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1plus
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/exception
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new.h
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/typeinfo
%doc gcc/cp/ChangeLog*

%files -n libstdc++
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.so
%{GCC_PREFIX}/lib/libstdc++-libc*.so.3
%{GCC_PREFIX}/lib/libstdc++-libc*.so.2
%{GCC_PREFIX}/lib/libstdc++.so.2.9
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.so

%ifarch %{ix86} alpha
%files -n libstdc++-compat
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%{GCC_PREFIX}/lib/libstdc++.so.2.7.2.8
%endif

%ifarch sparc ppc
%files -n libstdc++-compat
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%endif

%files -n libstdc++-devel
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.a
%{GCC_PREFIX}/lib/libstdc++-libc*.a.3
%{GCC_PREFIX}/include/g++-3
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.a
%doc rpm.doc/libstdc++/*

%files objc
%defattr(-,root,root)
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1obj
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libobjc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/objc
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog

%files g77
%defattr(-,root,root)
%{GCC_PREFIX}/bin/g77
%{GCC_PREFIX}/bin/f77
%{_infodir}/g77*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/f771
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libg2c.a
%{_mandir}/man1/g77.1*
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/g2c.h
%doc gcc/f/README rpm.doc/g77/*

%files chill
%defattr(-,root,root)
%{GCC_PREFIX}/bin/chill
%{_infodir}/chill*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1chill
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/chill*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libchill.a
%doc gcc/ch/README gcc/ch/chill.brochure rpm.doc/chill/*

%ifnarch ppc
%files java
%defattr(-,root,root)
%{GCC_PREFIX}/bin/gcj
%{GCC_PREFIX}/bin/gcjh
%{GCC_PREFIX}/bin/jcf-dump
%{GCC_PREFIX}/bin/jv-scan
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/jc1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/jvgenmain
%doc gcc/java/ChangeLog*

%%files libgcj
%defattr(-,root,root)
%{GCC_PREFIX}/bin/jv-convert
%{GCC_PREFIX}/lib/lib*gcj*
%{GCC_PREFIX}/share/libgcj.zip
%doc rpm.doc/libgcj/ChangeLog*
%endif

%files colorgcc
%defattr (-,root,root)
%doc COPYING.colorgcc CREDITS.colorgcc ChangeLog.colorgcc
%config /etc/colorgccrc
%{_bindir}/colorgcc
%{_bindir}/colorg++

%changelog
* Sat Sep 16 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95.2-12mdk
- Allow to build on PPC

* Thu Sep 14 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-11mdk
- use update-alternative (less costly that a checker script executed
  at each gcc invocation) : let's enforce Fred Right Way(tm) :-)

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-10mdk
- fix bad gcc-cpp script due to a bad rpm macros

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-9mdk
- fix colorgcc (chmousucks put 2 patch10)
- clean colorgcc (remove ugly post&preun scripts which brokes rpmdb &
  update)
- fix requires on perl version for ANSIColor.pm

* Sun Jul 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-8mdk
- Fix libgcj build.
- Add and merges debian patches.
- Try to cleanup a bit (i guess i should use the 2.96* spec)
- BM.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-7mdk
- Remove Ansi package (included in perl 5.6).
- spec-helper tweaks.
- Update Requires:.

* Sun Apr  2 2000 Adam Lebsack <adam@mandrakesoft.com> 2.95.2-6mdk
- Added a ppc patch for libgcj
- Added some libstdc++-compat ppc libs
- Fixed cpp problem for ppc
- Fixed rpm packaging problem by bzipping some man and info files.
- Fixed colorgcc for perl 5.600

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-5mdk
- Fix groups.
- Cleanup specs.

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.95.2-4mdk

- applied debian patches for sparc.

* Sat Nov 27 1999 - Stefan van der Eijk <s.vandereijk@chello.nl>
- changed an instance of "i386" into "%{_arch}" in the .spec file
(pixel's rebuild and small change)

* Sun Oct 31 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 2.95.2-2mdk
- Add arch AMD K6 in libstdc++-compat.tar.bz2

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.95.2.

* Tue Sep 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a stupid defattr 

* Mon Sep 27 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add k6 arch and a missing i486
- enable CFLAGS=RPM_OPT_FLAGS

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.95.1
- french locales
- debug bero spec (broken dependancies and update)

* Sun Aug 07 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- libstdc++ provides libstdc++.so.2.9

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- s/p// ;)

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- redo Mandrake adaptions (the RH contrib RPM mentioned below was quite
  obviously a modified version of the Mandrake pgcc 1.1.3 version)
- Add download location for colorgcc and ANSIColor

* Wed Aug 04 1999 Erhan Bilgili <erhan@altay.adm.deu.edu.tr>
- adapted the original gcc-2.95 spec to pgcc-2.95
- changed the spec file (my old pgcc spec file sucks !)
- added colorgcc by default

* Mon Aug 02 1999 Vu Hung Quan <binaire@videotron.ca>
- libgcj-2.95
* Sat Jul 31 1999 Vu Hung Quan <binaire@videotron.ca>
- gcc-2.95 ; adapted spec  from Arvind Sankar and redhat
   libgcj not integrated
